Hi, the custom Keystore is not opening or loading, I am old user.

  1. 2 months ago

    Hi, your software was working fine, however today the keystore is not loading, it shows error. I want to confirm that there are no errors from my side. the same keystore has been used always, and I am a old user of your software website 2 apk. Not only one custom keystore, but custom keystore for all other apps also not loading or opening and getting the same error. Just few days back custom keystore was properly loading without errors. However this had happened few times in the past with older versions of website 2 apk builder, but this time none the custom keystores loading that usually used to load properly without errors. Everything was working fine just few days back. I think many users must be experiencing same issue. I have already raised a support ticket for the same.

    It gives error:
    keystore is tempered with or incorrect password

    Please kindly fix this issue soon with your software.

    Thanks & Regards

  2. I have the same problem.
    Key created with Android Studio or with the console but I can no longer import the key.
    I can't create updates from existing apps!!!

    Keystore is tempered with, or Password is incorrect !!!

  3. The keys are OK, can sign my apps in Android Studio or with third-party programs.

  4. admin

    May 19 Administrator

    The main reason is that they have their own built-in JDK in Android Studio so there is no version conflict. Once you make sure you don't have multiple versions installed and Java version is less than Java 15, it will work perfectly.

  5. Hi, thanks for the information, however please can you clearly mention which java it is about, java jre or java jdk. The java jdk 15 is out-dated, so is it stable to use such version of java jdk or can it cause some unforeseen security or compatibility related issues with app users. As on the download page they have mentioned something like:
    "WARNING: These older versions of the JRE and JDK are provided to help developers debug issues in older systems. They are not updated with the latest security patches and are not recommended for use in production." source https://www.oracle.com/java/technologies/javase/jdk15-archive-downloads.html

    Will you guys make your software Website 2 Apk Builder compatible with latest versions of java jdk that are higher than version 15, such as 17 or 18 and upcoming.

    Please share the link to java jdk that properly works with your software, as you have mentioned less than java 15, does it mean java jdk 15 will work or less than that version.

    Lastly, please give more information about java jdk compatibility on the download page, to save a bit of user time, as you have only mentioned:
    Java Runtime Environment 7+ (JRE 8 required for using Custom Keystore)

    You have not mentioned java jdk 15 or less.

    Also it would be very nice if you share the download link to the highest compatible version of java jdk that works well with your software on the download page. sharing that here on this thread will be appreciated.

    Thanks

  6. Just to update, yes java jdk 18 was installed, I uninstalled the java 18 jdk, it was installed same day I renewed website 2 apk builder, may have been installed later on after using your product, now em using jdk 14. The keystore is loading. However it is better to work on suggestions previously left, like mentioning more information about java jdk compatibility on the download page, it would be better to leave some instructions, and links on how to install or uninstall incompatible java jdk and java jre.

    it would be appreciated, if you answer questions that are asked in the previous comment, like future compatibility with latest java jdk and java jre and current incompatibility issues if any with app users that have latest android os devices.

    Many thanks....

  7. Just to help other users who read this thread:

    Difference in Java JRE and Java JDK

    Java JRE
    JRE(Java Runtime Environment) is to make the machine run Java programs and Java Runtime Environment.

    Java JDK
    JDK(Java Development Kit) is to enable a machine to develop Java applications, and other java components and Java Development Environment.

    Sources:
    https://www.geeksforgeeks.org/difference-between-jdk-and-jre-in-java/#
    https://www.oracle.com/java/technologies/downloads/
    https://java.com/en/download/help/whatis_java.html

    So basically you need both, one to run and execute applications that are made using Java JDK, such as Java JRE and other that is needed to develop application that are run using Java JRE such java JDK.

    Good Lucks

 

or Sign Up to reply!